Announcement

Collapse
No announcement yet.

Installation sur Mandrake 10.1

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Installation sur Mandrake 10.1

    Bonjour,

    voici le message d'erreur que j'obtiens :

    install NAGIOS
    processing : 0%...15%...30%...45%...60%...75%...90%...100%
    Installation complete !

    install NAGIOS-PLUGINS
    processing : 0%...15%...30%...45%...60%...75%...100%
    Installation complete !

    OREON sample installation ...ok

    Configure Apache server ...
    ./install.sh: line 313: [: =: unary operator expected
    Enable to find the Apache version. Please check your Apache version.
    OREON need Apache v2. Go to www.apache.org for more information



    OR :

    [[email protected] oreon-v0.2]# rpm -aq | grep apache
    apache2-mod_ssl-2.0.50-4mdk
    apache2-mod_disk_cache-2.0.50-7mdk
    apache-conf-2.0.50-4mdk
    apache2-common-2.0.50-7mdk
    apache2-mod_php-2.0.50_4.3.8-2mdk
    apache2-mod_proxy-2.0.50-7mdk
    apache2-mod_perl-2.0.50_1.99_16-1mdk
    apache2-manual-2.0.50-7mdk
    apache2-modules-2.0.50-7mdk
    apache2-2.0.50-7mdk
    apache2-mod_cache-2.0.50-7mdk
    apache2-mod_suexec-2.0.50-3mdk
    [[email protected] oreon-v0.2]#


    Je comprends pas ...

    Si quelqu'un peut m'aider ...

    Merci

  • #2
    peux tu executer cette commande et me dire ce quelle te retourne stp ?

    /usr/sbin/apache2ctl -v | grep version | cut -d '/' -f 2 | cut -d '.' -f 1


    Le probleme vient de cette commande je pense.
    Merci

    Comment


    • #3
      voici le output de la commande

      [[email protected] root]# /usr/sbin/apache2ctl -v | grep version | cut -d '/' -f 2 | cut -d '.' -f 1
      -bash: /usr/sbin/apache2ctl: No such file or directory
      [[email protected] root]# locate apache2ctl
      [[email protected] root]#

      voila

      Merci

      Comment


      • #4
        quel est le nom de ton executable web et son chemin ?
        apache2 ? hhtpd ? apache ? apache2ctl ?

        Merci

        Comment


        • #5
          idem

          Bonjour,
          J'ai eu le même problème et j'ai dû commenter les lignes de test sur la version d'apache...
          Ma config :
          Mdk 9.2,
          Apache 2.0.50
          ...
          Des idées pour améliorer ce test...

          Comment


          • #6
            executable web

            le voila :

            /usr/sbin/httpd2

            j'ai changer l'exécutable pour voir ce que ca donne et ca donne bien le chiffre "2"
            mais ca marche pas

            # check apache version
            if test -x /usr/sbin/apachectl ; then
            apache_version=`/usr/sbin/apachectl -v | grep version | cut -d '/' -f 2 | cut -d '.' -f 1`
            else if test -x /usr/sbin/httpd2 ; then
            apache_version=`/usr/sbin/httpd2 -v | grep version | cut -d '/' -f 2 | cut -d '.' -f 1`
            fi
            fi
            if [ $apache_version = 2 ]; then
            echo "Apache version : $apache_version"


            En gras ce qui marche pas ...Configure Apache server ...
            ./install.sh: line 313: [: =: unary operator expected
            Enable to find the Apache version. Please check your Apache version.
            OREON need Apache v2. Go to www.apache.org for more information

            A+

            Comment


            • #7
              avec les infos que tu m'a donné je vais te donner un nouvel install que tu pourras tester.

              Comment


              • #8
                pas de réponse ?

                Comment


                • #9
                  Hello,

                  J'ai eu le même problème lors de mon installation de Oreon sur cette Mandrake 10.1

                  C'est au niveau du script install.sh d'oeron qu'il y a erreur.
                  Il faut le corriger à divers endroits avant de pouvoir enfin l'exécuter :
                  ...
                  dans le paragraphe "check for httpd directory" :

                  if test -e $DIR_APACHE/httpd.conf ; then
                  APACHE_CONF="httpd2.conf"
                  else if test -e $DIR_APACHE/apache2.conf ; then
                  APACHE_CONF="apache2.conf"
                  fi
                  fi
                  ...

                  et enfin dans la fonction "configure_apache":

                  if [ $apache_version == 2 ]; then
                  echo "Apache version : $apache_version"
                  else
                  echo "Enable to find the Apache version. Please check your Apache version."
                  echo "OREON need Apache v2. Go to www.apache.org for more information"
                  exit
                  fi

                  C'est donc tout simplement une petite erreur de programmation en shell et une adaptation à la distribution.

                  Voila en esperant avoir résolu ton probleme.
                  Meilleurs voeux
                  Petit pas par petit pas, Oreon n'est plus si loin que ça

                  Comment


                  • #10
                    merci cool

                    Je vais tester cela dès mardi et je te dis

                    Merci beaucoup

                    Sinon tu en es content du petit Oreon ?

                    A+

                    Comment


                    • #11
                      moi ossi

                      j'ai le meme msg d'erreur sur mandrake 9.1

                      par contre moi c /etc/init.d/httpd

                      dc koi mettre ds les modifs a mettre
                      pr la premiere enlever le 2 a http
                      et pr la 2eme koi mettre un 0???
                      Centreon user
                      App: Nagios 3.3.1 / NDO 1.4b7 patch SVN / Centreon 2.2.2
                      OS: RedHAT / CentOS / Ubuntu

                      Comment

                      Working...
                      X